Skip to main content
POST
/
api
/
v1
/
auth
/
remittance
/
custodial
/
drafts
/
{id}
/
confirm
Confirm custodial remittance draft
curl --request POST \
  --url https://crypto.westminister.tech/api/v1/auth/remittance/custodial/drafts/{id}/confirm \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "order": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "asset": "<string>",
    "crypto_amount": "<string>",
    "usdt_amount": "<string>",
    "fiat_amount": "<string>",
    "fiat_currency": "<string>",
    "wallet_address": "<string>",
    "status": "pending",
    "payment_method": "<string>",
    "payment_txn_id": {
      "String": "<string>",
      "Valid": true
    },
    "blockchain_txn_hash": {
      "String": "<string>",
      "Valid": true
    },
    "expires_at": "2023-11-07T05:31:56Z",
    "completed_at": {
      "Time": "2023-11-07T05:31:56Z",
      "Valid": true
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": {
      "Time": "2023-11-07T05:31:56Z",
      "Valid": true
    },
    "merchant_request_id": {
      "String": "<string>",
      "Valid": true
    },
    "checkout_request_id": {
      "String": "<string>",
      "Valid": true
    },
    "mpesa_receipt_number": {
      "String": "<string>",
      "Valid": true
    },
    "payment_phone_number": {
      "String": "<string>",
      "Valid": true
    },
    "order_type": "ON_RAMP_BUY",
    "order_subtype": "standard_onramp",
    "corridor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sender_name": {
      "String": "<string>",
      "Valid": true
    },
    "sender_country": {
      "String": "<string>",
      "Valid": true
    },
    "sender_phone": {
      "String": "<string>",
      "Valid": true
    },
    "escrow_wallet_address": {
      "String": "<string>",
      "Valid": true
    },
    "escrow_network": {
      "String": "<string>",
      "Valid": true
    },
    "escrow_reference": {
      "String": "<string>",
      "Valid": true
    },
    "deposit_tx_hash": {
      "String": "<string>",
      "Valid": true
    },
    "deposit_confirmations": 123,
    "deposit_detected_at": {
      "Time": "2023-11-07T05:31:56Z",
      "Valid": true
    }
  },
  "custodial_transfer": {},
  "remittance_draft_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.crypto.westminister.tech/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required

Remittance draft UUID

Body

application/json

The body is of type object.

Response

Order created and custodial transfer submitted

order
object
custodial_transfer
object
remittance_draft_id
string<uuid>